> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identifier



## OpenAPI

````yaml get /v1/profile/identifier/{id}
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/profile/identifier/{id}:
    get:
      tags:
        - Profile Identifier Endpoints
      operationId: ProfileIdentifierController_get
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileIdentifierResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    ProfileIdentifierResponse:
      type: object
      properties:
        rootUserId:
          type: string
        profileId:
          type: string
        service:
          type: string
        value:
          type: string
        createdAt:
          type: integer
          default: '2024-04-04T17:14:46.041Z'
          format: timestamp
          minimum: 0
        type:
          enum:
            - custom
            - external-wallet
          type: string
        id:
          type: string
      required:
        - rootUserId
        - profileId
        - service
        - value
        - createdAt
        - type
        - id
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````